Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.feature.type
Interface FeatureType

All Superinterfaces:
  AttributeType, ComplexType, PropertyType

All Known Subinterfaces:
  FeatureCollectionType, SimpleFeatureCollectionType, SimpleFeatureType

    public interface FeatureType

extends ComplexType

Describes the contents of a Feature, basically a ComplexType with at least a Geometry and CRS.

This class provides no additional modeling power beyond ComplexType. It does formally includes both a Geometry and a CRS these items are available to you to place restrictions against.

You should be aware that the GML definition of AbstractFeatureType includes bounds, crs name and description as "optional" attributes - as such these ideas are very common and have been included in the Feature API.

Method Summary
`CoordinateReferenceSystem` | `getCRS()` The coordinate reference system of the Geometries attributes contained by this feature type.
`AttributeDescriptor` | `getDefaultGeometry()` Indicates which AttributeType is to be considered the default geometry.
`ComplexType` | `getSuper()` Super may be a normal ComplexType.

Methods inherited from interface ComplexType
`associations, attributes, getBinding, getProperties, isInline`

Methods inherited from interface AttributeType
`getOperations, getRestrictions, isAbstract, isIdentified`

Methods inherited from interface PropertyType
`equals, getDescription, getName, getUserData, hashCode, putUserData`

Method Detail

### getDefaultGeometry

    AttributeDescriptor getDefaultGeometry()

  Indicates which AttributeType is to be considered the default geometry.

  Returns:
    AttributeType used to locate the default Geometry

### getCRS

    CoordinateReferenceSystem getCRS()

  The coordinate reference system of the Geometries attributes contained by this feature type.

  Note: since this appears in the type system (CRS is XPathable) we can define restrictions as a Filter - these restrictions are intended to be applied to any contained geometry attributes.

  This value may be null, in which case you may need to check the GeomtryType CRS directly. When working with GML any associated FeatureCollection may also provide CRS information.

### getSuper

    ComplexType getSuper()

  Super may be a normal ComplexType.

  Specified by:
    `getSuper` in interface `AttributeType`
  Specified by:
    `getSuper` in interface `PropertyType`
  Returns:
    AttributeType of supertype

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.